* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background: #f5f0e2;
    overflow-x: hidden;
    font-family: "Crimson Text", serif;
}

img {
    width: 100%;
    display: block;
}

/* ===================================================
         HERO SECTION
      =================================================== */

.recipe-hero {
    position: relative;
    min-height: 100vh;
    background: var(--recipe-banner-desktop, url("../images/recipe-listing/recipe-listing-d-banner.png")) center center/cover no-repeat;
    display: flex;
    align-items: center;
}

/* .recipe-hero::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(
    90deg,
    rgba(0, 0, 0, 0.9) 10%,
    rgba(0, 0, 0, 0.5) 55%,
    rgba(0, 0, 0, 0.1) 100%
  );
} */

.recipe-hero .container {
    position: relative;
    z-index: 2;
}

.hero-content h1 {
    font-size: 60px;
    line-height: 64px;
    color: #ffd65e;
    margin-bottom: 28px;
    font-weight: 400;
}

.hero-content p {
    font-size: 18px;
    line-height: 26px;
    color: #fff;
    font-weight: 400;
    margin-bottom: 55px;
    max-width: 380px;
}

.recipe-search {
    display: flex;
    max-width: 600px;
    overflow: hidden;
    background: #fff;
}

.recipe-search input {
    width: 100%;
    height: 78px;
    border: none;
    outline: none;
    padding: 0 28px;
    font-size: 18px;
    line-height: 26px;
    color: #000;
    font-weight: 400;
}

.recipe-search button {
    width: 80px;
    min-width: 80px;
    border: none;
    background: #c9972f;
    color: #fff;
    font-size: 24px;
    margin: 4px;
}

/* ===================================================
         FILTER SECTION
      =================================================== */

.recipe-filter-section {
    background: #492772;
    padding: 36px 0;
    position: relative;
    z-index: 99;
}

.filter-top {
    display: flex;
    align-items: center;
    gap: 14px;
    color: #fff;
    margin-bottom: 18px;
}

.filter-top span {
    font-size: 25px;
    line-height: 34px;
    font-weight: 400;
    font-family: "Cormorant Garamond", serif;
}

.filter-top i {
    font-size: 20px;
}

.filter-wrapper {
    display: flex;
    align-items: flex-start;
    gap: 6px;
    position: relative;
}

.custom-dropdown {
    position: relative;
    flex: 1;
}

.dropdown-btn {
    width: 100%;
    height: 68px;
    background: transparent;
    border: 1px solid rgba(255, 255, 255, 0.7);
    color: #fff;
    padding: 0 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 16px;
    cursor: pointer;
    font-size: 24px;
    line-height: 35px;
    font-weight: 400;
}

.dropdown-btn i {
    font-size: 12px;
    transition: 0.3s;
}

.custom-dropdown.active .dropdown-btn i {
    transform: rotate(180deg);
}

.dropdown-menu-custom {
    position: absolute;
    top: calc(100% + 4px);
    left: 0;
    width: 100%;
    background: #fff;
    z-index: 999;
    display: none;
    padding: 14px 0;
}

.custom-dropdown.active .dropdown-menu-custom {
    display: block;
}

.dropdown-menu-custom li {
    list-style: disc;
    margin-left: 30px;
    padding: 6px 6px 6px 0;
    font-size: 16px;
    color: #000;
    cursor: pointer;
}

.dropdown-menu-custom li:hover {
    color: #7a1730;
}

.reset-btn {
    width: 68px;
    min-width: 68px;
    height: 68px;
    border: 1px solid rgba(255, 255, 255, 0.7);
    background: transparent;
    color: #fff;
    font-size: 20px;
    cursor: pointer;
}

/* ===================================================
         RECIPE SECTION
      =================================================== */

.recipe-section {
    padding: 90px 0;
}

.recipe-heading-wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 50px;
    gap: 20px;
}

.recipe-heading h2 {
    font-size: 54px;
    line-height: 64px;
    font-weight: 400;
    color: #7c1a2d;
    margin-bottom: 12px;
}

.recipe-heading p {
    font-size: 18px;
    line-height: 26px;
    font-weight: 400;
}

/* ================= VEG TOGGLE ================= */

.veg-toggle {
    display: flex;
    align-items: center;
    gap: 14px;
}

.veg-toggle span {
    font-size: 25px;
    color: #6b1c33;
    font-weight: 400;
}

/* Toggle */

.veg-switch {
    position: relative;
    width: 65px;
    height: 30px;
    display: inline-block;
}

.veg-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.veg-slider {
    position: absolute;
    inset: 0;
    background: #fff;
    border: 3px solid #0bb321;
    border-radius: 50px;
    cursor: pointer;
    transition: 0.3s ease;
}

.veg-slider::before {
    content: "";
    position: absolute;
    width: 36px;
    height: 36px;
    background: #0bb321;
    border-radius: 50%;
    top: -6px;
    left: -6px;
    transition: 0.3s ease;
}

/* Active */

.veg-switch input:checked+.veg-slider::before {
    transform: translateX(34px);
}

/* Mobile */

/* ===================================================
         CARD
      =================================================== */

.recipe-card {
    background: #fff;
    padding: 18px;
    height: 100%;
    transition: 0.3s;
}

.recipe-card:hover {
    transform: translateY(-6px);
}

.recipe-image {
    position: relative;
    overflow: hidden;
}

.recipe-image img {
    object-fit: cover;
    width: 100%;
}

.wishlist {
    position: absolute;
    top: 16px;
    right: 16px;
    color: #fff;
    font-size: 28px;
    display: none;
}

.owl-carousel .owl-stage-outer {
    padding-bottom: 2rem;
}

.recipe-card h3 {
    font-size: 24px;
    line-height: 32px;
    margin: 22px 0;
    color: #000;
    font-weight: 400;
    /*height: 64px;*/
}

.recipe-meta {
    display: flex;
    flex-wrap: wrap;
    gap: 18px;
    margin-bottom: 28px;
}

.recipe-meta div {
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 14px;
    line-height: 24px;
    color: #000;
    font-weight: 400;
}

.recipe-btn {
    width: 100%;
    height: 58px;
    border: none;
    background: linear-gradient(to right, #d19a24, #f0dc77);
    font-size: 18px;
    line-height: 18px;
    font-weight: 600;
}

.recipe-slider .item {
    height: 100%;
}

.recipe-slider .recipe-card {
    margin: 5px;
}

.owl-dots {
    margin-top: 30px;
    text-align: center;
}

.owl-dot {
    border: 0;
    background: transparent;
    padding: 0;
}

.owl-dot span {
    width: 10px;
    height: 10px;
    margin: 5px;
    background: #c5b28c !important;
    display: block;
    border-radius: 50%;
}

.owl-dot.active span {
    background: #7c1a2d !important;
}

.view-more-wrapper {
    text-align: center;
    margin-top: 40px;
}

.view-more-btn {
    min-width: 180px;
    height: 54px;
    border: 1px solid #7b6d5d;
    background: transparent;
    color: #000;
    font-size: 18px;
    font-weight: 600;
    padding: 0 0 0 24px;
    display: inline-flex;
    align-items: center;
    gap: 20px;
    transition: 0.3s ease;
}

.arrow-box {
    display: flex;
    align-items: center;
    justify-content: center;
}

.arrow-box i {
    font-size: 12px;
}

.view-more-btn:hover {
    background: #6b1c33;
    color: #fff;
    border-color: #6b1c33;
}

.view-more-btn:hover .arrow-box {
    border-left-color: rgba(255, 255, 255, 0.3);
}

@media (max-width: 767px) {
    .recipe-section {
        overflow: hidden;
    }

    .recipe-hero {
        align-items: flex-start;
        padding-top: 60px;
    }

    .recipe-section {
        padding: 50px 0;
    }

    .recipe-card h3 {
        font-size: 20px;
        line-height: 24px;
    }

    .product-card {
        padding-top: 190px !important;
    }

    .recipe-slider .recipe-card {
        margin: 0;
    }
}

@media (min-width: 992px) {
    .recipe-slider {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 24px;
    }
}

/* ===================================================
         RESPONSIVE
      =================================================== */

@media (max-width: 1199px) {
    .hero-content h1 {
        font-size: 60px;
    }

    .recipe-heading h2 {
        font-size: 56px;
    }
}

@media (max-width: 991px) {
    .filter-wrapper {
        overflow-x: auto;
        padding-bottom: 10px;
        scrollbar-width: none;
    }

    .filter-wrapper::-webkit-scrollbar {
        display: none;
    }

    .custom-dropdown {
        flex: 0 0 auto;
        width: 230px;
    }

    .hero-content h1 {
        font-size: 50px;
    }

    .recipe-heading-wrap {
        flex-direction: column;
        align-items: flex-start;
    }
}

@media (max-width: 767px) {
    .recipe-hero {
        background: var(--recipe-banner-mobile, url("../images/recipe-listing/recipe-listing-m-banner.png")) center center/cover no-repeat;
    }

    .hero-content h1 {
        font-size: 38px;
    }

    .hero-content p {
        font-size: 16px;
    }

    .recipe-search input {
        height: 60px;
        font-size: 16px;
    }

    .recipe-search button {
        width: 70px;
        min-width: 70px;
        font-size: 20px;
    }

    .dropdown-btn {
        height: 58px;
        font-size: 20px!important;
    }

    .reset-btn {
        width: 58px;
        min-width: 58px;
        height: 58px;
    }

    .recipe-heading h2 {
        font-size: 40px;
    }

    .recipe-card h3 {
        font-size: 24px;
    }

    .recipe-image img {
        height: 300px;
    }
}

@media (max-width: 575px) {
    .hero-content h1 {
        font-size: 32px;
        line-height: 40px;
    }

    .recipe-heading h2 {
        font-size: 32px;
    }

    .custom-dropdown {
        width: 200px;
    }
}

/* ================= FAQ ================= */

.faq-section {
    background: #efe3bc;
    padding: 80px 0 10px;
}

.faq-heading {
    text-align: center;
    margin-bottom: 50px;
}

.faq-heading h2 {
    font-size: 54px;
    color: #6b1c33;
    font-weight: 400;
    line-height: 64px;
}

.faq-item {
    border-bottom: 2px solid rgba(255, 255, 255, 0.7);
    padding-bottom: 22px;
    margin-bottom: 35px;
    transition:
        border-color 0.3s ease,
        padding-bottom 0.3s ease;
}

.faq-item.active {
    border-bottom-color: transparent;
    padding-bottom: 0;
}

.faq-question {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    cursor: pointer;
}

.faq-question h4 {
    font-size: 20px;
    line-height: 28px;
    font-weight: 600;
}

.faq-icon {
    color: #7f1737;
    font-size: 18px;
    transition: 0.3s;
}

.faq-answer {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transform: translateY(-6px);
    transition:
        max-height 0.45s ease,
        opacity 0.3s ease,
        transform 0.3s ease;
}

.faq-answer p {
    background: #fff;
    padding: 28px 30px;
    margin-top: 25px;
    font-size: 18px;
    line-height: 26px;
    border-radius: 10px;
}

.faq-item.active .faq-answer {
    opacity: 1;
    transform: translateY(0);
}

/* Responsive */

@media (max-width: 767px) {
    .faq-heading h2 {
        font-size: 38px;
        line-height: 46px;
    }

    .faq-question h4 {
        font-size: 18px;
        line-height: 28px;
    }

    .faq-answer p {
        padding: 18px;
        font-size: 16px;
        line-height: 26px;
    }
}

@media (max-width: 575px) {
    .faq-heading h2 {
        font-size: 30px;
        line-height: 38px;
    }

    .faq-question h4 {
        font-size: 16px;
        line-height: 25px;
    }
}

/* =========================
   Explore Product Section
========================= */

.explore-product-section {
    background: #f4f4f4;
    overflow: hidden;
    padding: 80px 0 40px;
}

.product-heading {
    font-size: 54px;
    font-weight: 400;
    color: #7c1a2d;
    margin-bottom: 15px;
    line-height: 64px;
}

.product-subheading {
    font-size: 18px;
    color: #000;
    line-height: 26px;
}

.product-card {
    position: relative;
    padding-top: 160px;
    height: 100%;
}

.product-content {
    position: relative;
    background: transparent !important;
    padding: 140px 25px 30px;
    text-align: center;
    z-index: 2;
}

.product-content::before {
    content: "";
    position: absolute;
    inset: 0;
    background: #f5e4b6;
    border-radius: 10px;
    z-index: -1;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.04);
    transition:
        top 0.4s cubic-bezier(0.25, 1, 0.5, 1),
        bottom 0.4s cubic-bezier(0.25, 1, 0.5, 1),
        box-shadow 0.4s cubic-bezier(0.25, 1, 0.5, 1);
}

.product-content h3 {
    font-size: 24px;
    line-height: 32px;
    font-weight: 400;
    margin-bottom: 15px;
    color: #000;
    margin-top: 1rem;
}

.product-content p {
    font-size: 16px;
    color: #000;
    line-height: 24px;
    font-weight: 400;
    margin-bottom: 20px;
    min-height: 50px;
}

.product-content a {
    font-size: 20px;
    color: #000;
    line-height: 32px;
    font-weight: 400;
    text-decoration: underline;
}

.product-img {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 5;
    pointer-events: none;
    transition: transform 0.4s cubic-bezier(0.25, 1, 0.5, 1);
}

.product-img img {
    width: 200px !important;
    object-fit: contain;
}

/* Hover Effect */

.product-card:hover .product-content::before {
    top: -25px;
    bottom: -25px;
    /* box-shadow: 0 25px 50px rgba(107, 28, 51, 0.16); */
}

.product-card:hover .product-img {
    transform: translateX(-50%) translateY(0);
}

/* Owl */

.product-slider .owl-stage {
    display: flex;
    align-items: stretch;
}

.product-slider .item {
    height: 100%;
}

.product-slider .owl-item:hover {
    z-index: 999 !important;
}

/* Arrows */

.custom-nav button {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border: none;
    background: #6b1c33;
    color: #fff;
    font-size: 22px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.3s;
}

.custom-nav button:hover {
    background: #5f0f25;
}

/* Responsive */
@media (max-width: 1280px) {
    .product-content h3 {
        font-size: 20px;
    }

    .dropdown-btn {
        font-size: 20px;
    }

    .recipe-card h3 {
        font-size: 22px;
        line-height: 26px;
    }
}

@media (max-width: 1024px) {
    .recipe-hero {
        min-height: 80vh;
    }

    .dropdown-btn {
        font-size: 15px;
    }

    .recipe-slider {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 991px) {
    .product-heading {
        font-size: 40px;
    }

    .recipe-card h3 {
        font-size: 20px;
    }

    .recipe-hero {
        min-height: 100vh;
        align-items: flex-start;
        padding-top: 95px;
    }

    .custom-nav button {
        width: 50px;
        height: 50px;
    }

    .filter-wrapper {
        overflow-x: auto;
        overflow-y: hidden;
        display: flex;
        gap: 6px;
        scrollbar-width: none;
    }

    .filter-wrapper::-webkit-scrollbar {
        display: none;
    }

    .custom-dropdown {
        flex: 0 0 auto;
        width: 230px;
    }

    .dropdown-menu-custom {
        position: fixed;
        width: 230px;
        z-index: 999999;
        display: none;
    }

    .custom-dropdown.active .dropdown-menu-custom {
        display: block;
    }

    .recipe-heading-wrap {
        flex-direction: row;
    }

    .recipe-section {
        padding: 40px 0;
    }
}

@media (max-width: 767px) {
    .explore-product-section {
        padding: 60px 0;
    }

    .recipe-heading-wrap {
        flex-direction: column;
    }

    .product-heading {
        font-size: 34px;
        line-height: 44px;
    }

    .product-subheading {
        font-size: 16px;
    }

    .product-img img {
        width: 180px;
    }

    .product-content {
        padding: 120px 20px 25px;
    }

    .custom-nav {
        width: 100%;
        justify-content: flex-end;
    }
}

@media (max-width: 575px) {
    .product-heading {
        font-size: 30px;
        line-height: 40px;
    }

    .product-img img {
        width: 160px;
    }

    .product-content {
        padding-top: 110px;
    }
}